kind: pipeline
name: default

steps:
  - name: Build Bullseye
    image: debian:bullseye
    volumes:
      - name: finished_files
        path: /deb_files
    commands:
      - apt update
      - apt -y upgrade
      - apt -y install --no-install-recommends build-essential equivs devscripts git rename
      - git clean -f -d -x
      - mk-build-deps --install --tool='apt-get -o Debug::pkgProblemResolver=yes --no-install-recommends --yes' debian/control
      - dpkg-buildpackage -b -uc
      - rename 's/\.deb/_bullseye\.deb/' ../*.deb
      - mkdir -p /deb_files/bullseye/
      - cp ../*.deb /deb_files/bullseye/
      - find /deb_files/
  
  - name: gitea_release
    image: plugins/gitea-release
    volumes:
      - name: finished_files
        path: /deb_files
    settings:
      api_key:
        from_secret: GITEA_KEY
      base_url: https://git.neulandlabor.de/
      files: 
        - /deb_files/bullseye/*
    when:
      event: tag

volumes:
  - name: finished_files
    temp: {}
